@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package snovis with version v1r0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_snovis_session
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_snovis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_snovis_path=%obuild_snovis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_PLATFORM%" == "" (
  IF "%OS%" == "" ECHO Environment variable OS not found. & GOTO obuild_return
  SET obuild_platform=%OS%
) ELSE (
  SET obuild_platform=%OBUILD_PLATFORM%
)

IF "%obuild_platform%" == "" (
  ECHO obuild_platform variable not defined.
  GOTO obuild_return
)

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=%obuild_platform%_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_snovis_path%\obuild\cpp\obuild_platform.cpp"
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET bhep_home=/Users/barrand/dev/exp/nemo/bhep/v1r4p1
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET bhep_platform=Darwin
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET GeomUtils_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/GeomUtils
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET GeomUtils_platform=Darwin-i386
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET SNgeom2_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/SNgeom2
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET snova_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/snova
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET Geant4_home=/geant4/geant4.8.2
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET Geant4_work=${Geant4_home}/Darwin
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET Geant4_work=${Geant4_home}/slc3_gcc323
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET Geant4_system=Darwin-g++
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET Geant4_system=Linux-g++
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET Geant4_system=WIN32-VC
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_command=c++
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_command=c++
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_command=cxx
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_command=cl.exe
)
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_optimize=-O
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_optimize=-O
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_optimize=-O
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_optimize=/O2
)
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_debug=-g
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_debug=-g
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_debug=-g
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_debug=/ZI /Od
)
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_options=-fPIC
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
)
SET obuild_platform_result=

IF %obuild_debug% == yes (
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
) ELSE (
  SET obuild_cxx_debug_local=
)
IF %obuild_optimize% == yes (
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
) ELSE (
  SET obuild_cxx_optimize_local=
)

IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_snovis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_snovis_path%\obuild\cpp\obuild_find.cpp"
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r*`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r*`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r*`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r*`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r*`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_includes=-I${SNOVA_ROOT}
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_includes=%obuild_cxx_includes% -I${SNGEOM2_ROOT}/include
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_includes=%obuild_cxx_includes% -I${GEOMUTILS_ROOT}/include
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_includes=%obuild_cxx_includes% -I${BHEP_ROOT}/Darwin/include
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_includes=%obuild_cxx_includes% -I${Geant4_home}/include
)
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HDF5_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_G4Lab_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session" RMDIR /S /Q "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session"
IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_snovis_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_snovis_session\snovis_session.obj  /Tp..\applications\snovis_session.cc
@IF ERRORLEVEL 1 @GOTO obuild_return
cd "%obuild_snovis_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_command=c++
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_command=c++
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_command=cxx
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_command=link.exe
)
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_debug=-g
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_debug=-g
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_debug=-g
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_debug=/DEBUG
)
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_cxx_linker_options=/nologo
)
SET obuild_platform_result=

IF %obuild_debug% == yes (
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
) ELSE (
  SET obuild_cxx_linker_debug_local=
)
IF %obuild_optimize% == yes (
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
) ELSE (
  SET obuild_cxx_linker_optimize_local=
)
SET obuild_linked_libraries="%obuild_OnX_path%\%obuild_dir_bin%\OnXCore.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_snovis_path%\%obuild_dir_bin%\snova.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% -L${SNGEOM2_ROOT}/Darwin-i386/lib -lsngeom
SET obuild_linked_libraries=%obuild_linked_libraries% -L${GEOMUTILS_ROOT}/Darwin-i386/lib -lgeomutils
SET obuild_linked_libraries=%obuild_linked_libraries% -L${BHEP_ROOT}/Darwin/lib -lbhep
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabUIOnX.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_G4Lab_path%\%obuild_dir_bin%\G4LabCore.lib"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_work}/lib/${Geant4_system} -lG4readout -lG4run -lG4event -lG4tracking -lG4processes -lG4digits_hits -lG4track -lG4particles -lG4geometry -lG4graphics_reps -lG4materials -lG4intercoms -lG4global
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -L${CLHEP_home}/lib -lCLHEP
)
SET obuild_platform_result=
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_zlib_path%\%obuild_dir_bin%\osc_z.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisGeometry.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisUtils.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_jpeg_path%\%obuild_dir_bin%\osc_jpeg.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_dvi2bitmap_path%\%obuild_dir_bin%\osc_dvi2bitmap.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_freetype2_path%\%obuild_dir_bin%\osc_freetype2.lib"
SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_CoinGL_path%\%obuild_dir_bin%\osc_Coin.lib"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -framework OpenGL -framework AGL
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -framework ApplicationServices
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -L/usr/lib -lGLU -lGL -lm
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -L${OBUILD_OPENGL_HOME}/lib -lGLU -lGL -lm
)
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
IF %obuild_platform_result% == yes (
SET obuild_linked_libraries=%obuild_linked_libraries% -lpthread
)
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
cd "%obuild_snovis_path%\%obuild_dir_bin%"
IF EXIST .\app_snovis_session\tmp_objs DEL .\app_snovis_session\tmp_objs
FOR %%f IN (.\app_snovis_session\*.obj) DO ECHO %%f >> .\app_snovis_session\tmp_objs
REM # Link snovis_session :
IF EXIST .\snovis_session.exe DEL .\snovis_session.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\snovis_session.exe @.\app_snovis_session\tmp_objs %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_snovis_0%"
SET obuild_pwd_snovis_0=
REM # Some cleanup :
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs" DEL "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.ilk" DEL "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.ilk"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.pdb" DEL "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.pdb"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs" DEL "%obuild_snovis_path%\%obuild_dir_bin%\app_snovis_session\tmp_objs"
IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exp" DEL "%obuild_snovis_path%\%obuild_dir_bin%\snovis_session.exp"

:obuild_return
ENDLOCAL
@ECHO ON
